Update a points reservation's amount
PUT
/wallets/{id}/reservationAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredRequest body
requiredapplication/jsonreference_codestringrequiredamountintegerrequireddescriptionstringResponses
200Reservation updated
_linksHalLinksidintegerdirectionstringAllowed:
incomingoutgoingstatestringAllowed:
pendingcompletedreverseddeletedexpiredamountintegerPositive for incoming transfers, negative for outgoing.
original_amountintegerOrder total that earned this transfer, for points earned from a purchase.
descriptionstringreference_codestringpayment_methodstringshop_idstringwallet_idintegerbalance_expires_atstring<date-time>created_onstring<date-time>422No pending reservation for this reference_code, or insufficient balance
Request
curl -X PUT "https://api.onbolder.com/v2/wallets/0/reservation" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"reference_code": "string",
"amount": 0,
"description": "string"
}'const response = await fetch("https://api.onbolder.com/v2/wallets/0/reservation", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"reference_code": "string",
"amount": 0,
"description": "string"
})
});import requests
response = requests.put(
"https://api.onbolder.com/v2/wallets/0/reservation",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"reference_code": "string",
"amount": 0,
"description": "string"
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": 0,
"direction": "incoming",
"state": "pending",
"amount": 0,
"original_amount": 0,
"description": "string",
"reference_code": "string",
"payment_method": "string",
"shop_id": "string",
"wallet_id": 0,
"balance_expires_at": "2019-08-24T14:15:22Z",
"created_on": "2019-08-24T14:15:22Z"
}No pending reservation for this reference_code, or insufficient balance